/* CreateDir.c   V1.0   93-03-15                        */
/* ROM library: "dos.library/CreateDir", (All versions) */
/* Copyright 1993, Anders Bjerin, Amiga C Club          */

#include <dos/dos.h>

#include <clib/dos_protos.h>
#include <stdio.h>
#include <stdlib.h>

UBYTE *version = "$VER: CreateDir 1.0";

int main( int argc, char *argv[] );
int main( int argc, char *argv[] )
{
  BPTR my_dir_lock;


  /* Create a directory: */
  my_dir_lock = CreateDir( "RAM:MyDirectory" );

  /* OK? */
  if( my_dir_lock == NULL )
  {
    /* We could not create the directory! */
    printf( "Error! Could not create the new directory!\n" );
    exit( 20 );
  }
  
  /* We have successfully created the directory! */
  printf( "The directory was successfully created!\n" );

  /* - - - */

  /* As soon as you do not need the lock on the */
  /* directory any more you should unlock it!   */
  UnLock( my_dir_lock );

  /* Inform the user: */
  printf( "Directory unlocked!\n" );

  exit( 0 );
}


